import { AbstractDynamicSnippetsGenerator, FernGeneratorExec, AbstractFormatter } from '@fern-api/browser-compatible-base-generator';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-DuDerGxa.cjs';
import { dynamic } from '@fern-fern/ir-sdk/api';
import '@fern-api/go-ast';
import './TypeInstance.cjs';
import './DiscriminatedUnionTypeInstance.cjs';
import './context/ErrorReporter.cjs';

declare class DynamicSnippetsGenerator extends AbstractDynamicSnippetsGenerator<dynamic.DynamicIntermediateRepresentation, DynamicSnippetsGeneratorContext, dynamic.EndpointSnippetRequest, dynamic.EndpointSnippetResponse> {
    private formatter;
    constructor({ ir, config, formatter }: {
        ir: dynamic.DynamicIntermediateRepresentation;
        config: FernGeneratorExec.GeneratorConfig;
        formatter?: AbstractFormatter;
    });
    generate(request: dynamic.EndpointSnippetRequest): Promise<dynamic.EndpointSnippetResponse>;
    generateSync(request: dynamic.EndpointSnippetRequest): dynamic.EndpointSnippetResponse;
}

export { DynamicSnippetsGenerator };
