import { NameAndWireValue, dynamic } from '@fern-fern/ir-sdk/api';

/**
 * A type instance that can be converted into a language-specific AST node.
 *
 * The 'type' and 'value' are used to convert the AST node itself, and the name
 * is (optionally) used within the dynamic snippet, e.g. for named fields.
 */
interface TypeInstance {
    name: NameAndWireValue;
    typeReference: dynamic.TypeReference;
    value: unknown;
}

export type { TypeInstance };
