import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-DKWsHJSo.js';
import { ErrorReporter } from './context/ErrorReporter.js';
import { dynamic } from '@fern-fern/ir-sdk/api';
import '@fern-api/browser-compatible-base-generator';
import '@fern-api/go-ast';
import './TypeInstance.js';
import './DiscriminatedUnionTypeInstance.js';

declare class Result {
    reporter: ErrorReporter | undefined;
    snippet: string | undefined;
    err: Error | undefined;
    constructor();
    update({ context, snippet }: {
        context: DynamicSnippetsGeneratorContext;
        snippet: string;
    }): void;
    getResponseOrThrow({ endpoint }: {
        endpoint: dynamic.EndpointLocation;
    }): dynamic.EndpointSnippetResponse;
}

export { Result };
