declare const Severity: {
    readonly Critical: "CRITICAL";
    readonly Warning: "WARNING";
};
interface Error_ {
    severity: "CRITICAL" | "WARNING";
    path: string[] | undefined;
    message: string;
}
declare namespace ErrorReporter {
    type Path = readonly PathItem[];
    type PathItem = string | ArrayPathItem;
    type Severity = typeof Severity[keyof typeof Severity];
    interface ArrayPathItem {
        index: number;
    }
    interface Error {
        path?: Path;
        severity: Severity;
        message: string;
    }
}
declare class ErrorReporter {
    private errors;
    private path;
    constructor();
    add(err: Omit<ErrorReporter.Error, "path">): void;
    scope(path: ErrorReporter.PathItem): void;
    unscope(): void;
    getBySeverity(severity: ErrorReporter.Severity): ErrorReporter.Error[];
    empty(): boolean;
    size(): number;
    clone(): ErrorReporter;
    reset(): void;
    toDynamicSnippetErrors(): Error_[];
    private pathToStringArray;
}

export { ErrorReporter, Severity };
